## bar 1.11.0

=== debian/changelog ===
bar (1.11.0) stable; urgency=low

  * Added display-numeric, for combination of bar w/ dialog and zenity.
  * Added display-wait
  * Added bar-openbrace-char
  * Added bar-closebrace-char
  * Added bar-complete-char
  * Added bar-incomplete-char
  * Fixed some compiler warnings
  * Bugfix for some 64-bit systems:
    * Added an autoconf test to check to see if CC supports -m64
    * Added a configure flag: --disable-use-m64 - to prevent use of -m64 flag
    * On some 64-bit systems uint64 was found to not be able to hold the value
      of 1E.  This resulted in faulty logic in safe_mul() that would cause
      segmentation faults and infinite loops.  For systems without a CC that
      supprots -m64, added a test to check for the largest safe number to use
      for the variable 'multiplier' in safe_mul().  However, without access to
      such a system there would likely be other bugs to contend with...
  * Added support for a system-wide config file: /etc/clpbarrc or, failing
    that, /etc/barrc.  (This is to avoid conflict with any other software that
    might already have a claim to the pathname /etc/barrc.  None is known to
    exist, but just to be safe...)

 -- Michael Peek <peek@catus.nimbios.org>  Thu, 19 Aug 2010 15:45:15 -0400

bar (1.11.0-prerelease02) stable; urgency=low

  * Added the ability to display information as data is copied.

    -sh <x> | --screen-height <x>
      Assume a screen height of <x> rows.  Will attempt to figure it out
      automatically if not told.  This is only useful if --info* options are
      invoked as well.

    -inf <file> | --info-file <file>
      This file contains text to be shown during the data transfer.

 -- Michael S. Peek <peek@tortoise.tiem.utk.edu>  Thu,  8 Nov 2007 13:25:01 -0500

bar (1.10.9) stable; urgency=low

  * Bugfix: Grant McDorman found a bug in args.c in which the code was not
    ANSI-C compliant, and submitted a patch to fix.  This patch has been
    incorporated into the source.  Thanks Grant!

 -- Michael S. Peek <peek@tortoise.tiem.utk.edu>  Thu, 28 Jun 2007 09:10:03 -0400

bar (1.10.8) stable; urgency=low

  * Feature added: -c / --continue <size>
    Allow the user to instruct bar that this is a continuation of a previous
    transfer, and that we are continuing from size <size>.  Use of this option
    will throw off throughput and ETA calculations at the first, with the
    numbers settling down a bit as the transfer continues.
  * Feature added: "cp mode"
    If no -if, --in-file, -of, --out-file command line options are used, and
    unknown command line options are encountered, then bar will assume that
    the first unknown command line option encountered is a path to an input
    file, and the second (if found) is the path to an output file.
    When this feature is implemented, if the destination is a directory, then
    bar will create a file of the same name as the input file in the
    destination directory, and will attemt to preserve file modes.

 -- Michael S. Peek <peek@tortoise.tiem.utk.edu>  Wed,  6 Jun 2007 16:41:28 -0400

bar (1.10.7) stable; urgency=low

  * This is a bugfix release:
    - Do not exit with an I/O error if the error is EAGAIN.

 -- Michael S. Peek <peek@tortoise.tiem.utk.edu>  Tue,  3 Oct 2006 13:41:09 -0400

bar (1.10.6) stable; urgency=low

  * This is a bugfix release:
    - A bug in args.c caused incorrect command line parsing.  This is why I
      shouldn't use one-letter variables, especially variables that look
      similar, like 'c' and 'o'.  Thanks to Carl Lowenstein for catching this
      bug and helping me to trace it down it so quickly.

 -- Michael S. Peek <peek@tortoise.tiem.utk.edu>  Tue,  4 Apr 2006 10:52:57 -0400

bar (1.10.5) stable; urgency=low

  * Modified configure scripts:
    - Now tests to find the page size of the compiling system and uses this
      value by default.  This can be overridden w/ --with-page-size.
    - Compiles and runs tests to see if sysconf() returns a usable value.  On
      some systems -1 was being returned, but since the configure script found
      a sysconf() function it was configuring bar to use it, but bar would
      bomb with an error when it tried to use posix_memalign() w/ -1 as the
      system's memory page size.  So now, even if you have sysconf()
      available, if sysconf() returns -1 for the page size, bar will be
      configured not to use aligned memory.
    - Compiles and runs tests to see if posix_memalign() is usable.  In the
      event of failure, separate assertions in the test code will reveal
      whether posix_memalign() failed because if EINVAL, ENOMEM, or if there
      was some other error.  (This test could be made smarter.  At the moment
      the only action taken is that the configure script will log the
      assertion to config.log.  But it wouldn't be too hard to notify the user
      of the error returned and/or take some specific action.)
    - In the event that posix_memalign() checks fail, retry the test two more
      times.  Once defining _GNU_SOURCE and, if that fails, a second time
      defining _XOPEN_SOURCE=600.  I've not run accross any systems that need
      these defined, but according to some man pages they may need be.
    - Compiles and runs tests on aligned memory usability -- merely a
      formailty at this point though.  The above checks should be sufficient.
    - Prints out configuration settings for the user in an easily-readable
      format, so that it is obvious from the start how bar is configured to
      operate.  Also, some helpful text is printed on how to troubleshoot bar
      and point the user to the new TROUBLESHOOTING text file.
  * Fixed a reported bug in io.c's use of posix_memalign() reported by Doncho
    N. Gunchev.
  * New file, TROUBLESHOOTING, gives the user some things to try and
    instructions on how to report bugs.
  * ChangeLog is now a link to debian/changelog.  All future changelog entries
    will follow a debian format.

