## bar 1.11.0+debian

=== debian/changelog ===
bar (1.11.0+debian-4) unstable; urgency=low

  * modified debian/control, Closes: #654932

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 07 Jan 2012 01:46:39 +0100

bar (1.11.0+debian-3) unstable; urgency=low

  * apllied "manually" A. Costa's patch to bar.1.in. Closes: #647347
  * bumped Standards-Version to 3.9.2
  * changed the source format to 3.0 (quilt) 

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 02 Nov 2011 09:51:00 +0100

bar (1.11.0+debian-2) unstable; urgency=low

  * changed the target (stable => unstable). The previous settings were
    inappropriate. Tanks to Adam D. Barratt who reminded it. Closes: #593260

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 13 Oct 2010 17:11:02 +0200

bar (1.11.0+debian-1) stable; urgency=low

  * upgraded to the new upstream version. Copied part of the debian changelog
    from upstream to the file Changelog. The current changelog is now
    reserved for maintainer's messages. Added the '+debian' suffix in 
    the package name

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 27 Aug 2010 12:34:38 +0200

bar (1.10.9-1) stable; urgency=low

  * first publication in Debian. Closes: #593260
  * taken the maintenance of the package with Michael Peek's agreement
  * upgraded Standards-Version to 3.9.1 and compat to 7
  * added dependencies on misc:Depends and shlibs:Depends
  * protected "-$(MAKE) distclean" in debian/rules
  * replaced "dh_clean -k" by "dh_prep" in debian/rules
  * commented out "$(MAKE) check" in debian/rules as this target is rather 
    done for the mainstream developer
  * replaced the full text citation of the GPL-2 by a pointer, in 
    debian/copyright

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 16 Aug 2010 20:23:05 +0200
