=== debian/control ===
Source: bar
Section: utils
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.9.2
Homepage: http://clpbar.sourceforge.net/

Package: bar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Show information about a data transfer
 Bar features a Command Line Progress Bar for a data stream.
 .
 Bar is a simple tool to process a stream of data and print a display  for
 the  user  on stderr showing (a) the amount of data passed, (b) the
 throughput of the data  transfer,  and, if the total size of the data stream
 is known, (c) estimated time remaining, percent complete, and a progress bar.
 .
 Bar was originally written for the purpose of estimating the amount  of time
 needed to transfer large amounts (many, many gigabytes) of data across a
 network.  (Usually in an SSH/tar pipe.)
