## bar 1.11.1

=== debian/changelog ===
bar (1.11.1-4) unstable; urgency=low

  * bumped debhelper-compat (=13), Standards-Version: 4.6.0, and the version
    for d/watch => 4
  * removed the build-dependency autotools-dev; fixed the Vcs-Browser field

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 12 Apr 2022 19:55:01 +0200

bar (1.11.1-3) unstable; urgency=medium

  * bumped Standards-Version to 4.1.3, dh to 10
  * added Vcs fields in d/control

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 19 Feb 2018 15:26:39 +0100

bar (1.11.1-2) unstable; urgency=low

  * bumped Standards-Version to 3.9.4
  * added the switch --with autotools_dev in debian/rules. Closes: #727326

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Oct 2013 18:08:13 +0200

bar (1.11.1-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * changed the DEBEMAIL
  * upgraded Standards-Version to 3.9.3
  * changed the source format to 3.0 (quilt)
  * used the simplified debian/rules file which relies on debhelper
  * used hardening options to compile bar

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 18 Jan 2013 18:54:40 +0100

bar (1.11.0+debian) stable; urgency=low

  * upgraded to the new upstream version. Copied part of the debian changelog
    from upstream to the file Changelog. The current changelog is now
    reserved for maintainer's messages. Added the '+debian' suffix in 
    the package name

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 27 Aug 2010 12:30:31 +0200
