=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,13 @@
 
 PACKAGE = bar
 
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 %:
-	dh $@ 
+	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f config.log config.status
+override_dh_auto_build:
+	make LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"
