=== debian/watch ===
version=4

#http://sf.net/projects/clpbar/files/clpbar/bar.*/bar_(\d[.\d]+)\.tar\.gz/download
http://sf.net/clpbar/bar_(\d[.\d]+)\.tar\.gz
